const noIndexFiles = require('./no-index-files');
const controllerLocation = require('./controller-location');
const apiControllerRules = require('./api-controller-rules');
const apiServiceRules = require('./api-service-rules');

module.exports = {
  rules: {
    'no-index-files': noIndexFiles,
    'controller-location': controllerLocation,
    'api-controller-rules': apiControllerRules,
    'api-service-rules': apiServiceRules,
  },
  configs: {
    recommended: {
      plugins: ['gridpilot-api-rules'],
      rules: {
        'gridpilot-api-rules/no-index-files': 'error',
        'gridpilot-api-rules/controller-location': 'error',
        'gridpilot-api-rules/api-controller-rules': 'error',
        'gridpilot-api-rules/api-service-rules': 'error',
      },
    },
  },
};
